local epsCore = CreateFrame("Frame", "epsCore")
_G["epsCore"] = epsCore

epsCore.art = {
    backdrop = {
        default = {
            bgFile = "Interface\\AddOns\\epsCastbars\\background", tile = true, tileSize = 16,
            edgeFile = "Interface\\AddOns\\epsCastbars\\border", edgeSize = 16,
            color = {1, 1, 1, 0},
            borderColor = {10/255, 10/255, 10/255, 1},
        },
        aura = {
            bgFile = "Interface\\AddOns\\epsCastbars\\aura",
            tile = false,
            color = {0, 0, 0, .75}
        }
    },
    font = {
        default = {"Interface\\Addons\\epsCastbars\\fonts\\AccidentalPresidency.TTF", 12},
        aura = {
            timer = {"Interface\\Addons\\epsCastbars\\fonts\\MgOpenModernaBold.TTF", 10, "OUTLINE"},
            count = {"Interface\\Addons\\epsCastbars\\fonts\\MgOpenModernaBold.TTF", 8, "OUTLINE"},
        }
    }
}

------------------------------

function epsCore:Round(num, idp)
  local mult = 10^(idp or 0)
  return math.floor(num * mult + 0.5) / mult
end

function epsCore:TextHexColor(r, g, b, pattern)
	return string.format("|cff%02x%02x%02x", r*255, g*255, b*255)..pattern.."|r"
end
